### Class

# Shell WM

since: 14

#### Description

    final class Shell.WM : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 14

#### Ancestors

- GObject

#### Constructors

###### shell_wm_new

Creates a new window management interface by hooking into `plugin`.

since: 14

#### Instance methods

###### shell_wm_complete_display_change

The plugin must call this after the user responded to the confirmation dialog.

since: 14

###### shell_wm_completed_destroy

The plugin must call this when it has completed a window destroy effect.

since: 14

###### shell_wm_completed_map

The plugin must call this when it has completed a window map effect.

since: 14

###### shell_wm_completed_minimize

The plugin must call this when it has completed a window minimize effect.

since: 14

###### shell_wm_completed_size_change

No description available.

since: 14

###### shell_wm_completed_switch_workspace

The plugin must call this when it has finished switching the workspace.

since: 14

###### shell_wm_completed_unminimize

The plugin must call this when it has completed a window unminimize effect.

since: 14

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Shell.WM::confirm-display-change

No description available.

since: 14

###### Shell.WM::create-close-dialog

Creates a close dialog for the given window.

since: 14

###### Shell.WM::create-inhibit-shortcuts-dialog

Creates an inhibit shortcuts dialog for the given window.

since: 14

###### Shell.WM::destroy

No description available.

since: 14

###### Shell.WM::filter-keybinding

No description available.

since: 14

###### Shell.WM::hide-tile-preview

No description available.

since: 14

###### Shell.WM::kill-switch-workspace

No description available.

since: 14

###### Shell.WM::kill-window-effects

No description available.

since: 14

###### Shell.WM::map

No description available.

since: 14

###### Shell.WM::minimize

No description available.

since: 14

###### Shell.WM::show-tile-preview

No description available.

since: 14

###### Shell.WM::show-window-menu

No description available.

since: 14

###### Shell.WM::size-change

No description available.

since: 14

###### Shell.WM::size-changed

No description available.

since: 14

###### Shell.WM::switch-workspace

No description available.

since: 14

###### Shell.WM::unminimize

No description available.

since: 14

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct ShellWMClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.